Bug 1310059 - User guide lacks documentation on VM (dis)association
User guide lacks documentation on VM (dis)association
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
6.1.6
Unspecified Unspecified
high Severity high (vote)
: 6.2.9
: 6.2
Assigned To: Zac Dover
Charles Wood
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 05:58 EST by mertensb.mazda
Modified: 2017-03-27 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-27 19:17:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mertensb.mazda 2016-02-19 05:58:29 EST
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/User_Guide/index.html

Section Number and Name: n/a

Describe the issue: 
1) The user guide does not explain that when a host record that is associated with a VM is deleted the VM will be deleted as well.
2) The user guide does not explain the function of the associate VM's button on the compute resource screen.

Suggestions for improvement: 
1) There are two KB articles that explain this. I believe they should be included at least in the user guide and possibly in the provisioning guide as well.
- How to delete hosts from Foreman while keeping provisioned Virtual Machines in Red Hat Satellite 6 : https://access.redhat.com/solutions/1572333
- How to delete virtual machines from Satellite 6 WebUI, without actually deleting it from a compute resource?: https://access.redhat.com/solutions/1504603

2) this function should be explained in the user guide

Additional information:
Comment 1 Andrew Dahms 2016-11-15 06:56:17 EST
Moving to NEW and the default assignee to be triaged as the schedule allows.
Comment 2 Andrew Dahms 2017-02-15 20:56:20 EST
Assigning to Zac for review.

Zac - we'll need to add a procedure after 'Removing a Host' in the Host Configuration Guide that outlines the problem, and how disassociating virtual machines can help. Combining some of the context provided in the two KBase articles would provide some much-needed guidance as well.

As for the problem - A user wants to remove a host (in this case, a VM running on a hypervisor) from Satellite without also removing it from the hypervisor. To do so, they need to disassociate it first.
Comment 5 Andrew Dahms 2017-03-08 19:49:56 EST
This content is live on the Customer Portal.

Closing.
Comment 6 mertensb.mazda 2017-03-13 04:27:05 EDT
Where can this be found?

The ticket is closed as currentrelease which I suppose is 6.2 right now but no user guide is available for 6.2.

So I checked the 6.1 user guide and I can't find it. Section 14.5 Removing a host does not mention this at all.

I searched for "associ" and found 45 hits but nothing related to this issue.
Comment 7 Andrew Dahms 2017-03-13 05:27:23 EDT
Thank you for following up on this bug, and my apologies for not providing a detailed link at the time the bug was closed.

In Red Hat Satellite 6.2, the 'User Guide' was split into two guides - a 'Server Administration Guide' that outlines how to administer the Satellite Server itself, and a 'Host Configuration Guide' that outlines how to work with and configure hosts.

The new content can be found in the following section of the Host Configuration Guide -

https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/host_configuration_guide/#sect-Red_Hat_Satellite-Host_Configuration_Guide-Configuring_Hosts-Removing_a_Host

Let me know if you have any questions or concerns, or if we can move this bug to 'CLOSED'.
Comment 8 mertensb.mazda 2017-03-27 07:23:38 EDT
Thanks for the link and the info.

This looks good and this can be closed.
Comment 9 Andrew Dahms 2017-03-27 19:17:49 EDT
Thank you for confirming.

I will now close this bug, but please let us know if you have any further requests at any time.

Note You need to log in before you can comment on or make changes to this bug.